%define  upstream_name WorkflowSignalSlotTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0
Release:	%mkrel 4
Summary:	Contains the database backend for the Workflow component
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch



%description
Contains the SignalSlot links for the Workflow component.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/WorkflowSignalSlotTiein.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/WorkflowSignalSlotTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/WorkflowSignalSlotTiein
fi

%files
%defattr(-,root,root)
%doc docs/WorkflowSignalSlotTiein/*
%{peardir}/data/WorkflowSignalSlotTiein/design/class_diagram.png
%{peardir}/data/WorkflowSignalSlotTiein/design/design.txt
%{peardir}/ezc/WorkflowSignalSlotTiein/options/plugin.php
%{peardir}/ezc/WorkflowSignalSlotTiein/plugin.php
%{peardir}/ezc/WorkflowSignalSlotTiein/structs/return_value.php
%{peardir}/ezc/WorkflowSignalSlotTiein/workflow_signal_autoload.php
%{peardir}/ezc/autoload/workflow_signal_autoload.php
%{xmldir}/WorkflowSignalSlotTiein.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 504356
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 350013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.0-2.mga2
+ Revision: 125503
- increased rel to 2
  changed components-Base >= 1.8 to Requires: ezcomponents-Base >= 1.8

* Sun Jul 17 2011 spuhler <spuhler> 1.0-1.mga2
+ Revision: 125445
- imported package ezcomponents-WorkflowSignalSlotTiein

